package cn.com.qmth.examcloud.core.oe.student.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamSessionInfoReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetQrCodeReq;
import cn.com.qmth.examcloud.core.oe.student.api.request.GetStudentOnlineExamInfoReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamSessionInfoResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetQrCodeResp;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetStudentOnlineExamInfoResp;

public interface OeStudentExamRecordCloudService extends CloudService{

	public void cleanExamRecords();
	/**
	 * 获取二维码
	 * @return
	 */
	public GetQrCodeResp getQrCode(GetQrCodeReq req);
	/**
	 * 获取考试会话
	 * @return
	 */
	public GetExamSessionInfoResp getExamSessionInfo(GetExamSessionInfoReq req);
	
	/**
	 * 获取学生是否有正在进行的网考信息
	 * @return
	 */
	public GetStudentOnlineExamInfoResp getStudentOnLineExamInfo(GetStudentOnlineExamInfoReq req);
	
}
