package cn.com.qmth.examcloud.core.reports.api.client;

import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.reports.api.UserCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.request.AddOrUpdateUserCountReq;
import cn.com.qmth.examcloud.core.reports.api.response.AddOrUpdateUserCountResp;

@Service
public class UserCountCloudServiceClient extends AbstractCloudClientSupport implements UserCountCloudService {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5873059160190819277L;

	@Override
	public AddOrUpdateUserCountResp addOrUpdateCount(AddOrUpdateUserCountReq req) {
		return post("userCount/addOrUpdateCount", req, AddOrUpdateUserCountResp.class);
	}



}
